Bug 1989973 - openshift-install explain text contains typo: cluster components will assume assume ownership of all resources
Summary: openshift-install explain text contains typo: cluster components will assume ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.9
Hardware: x86_64
OS: Unspecified
low
low
Target Milestone: ---
: 4.9.0
Assignee: Etienne Simard
QA Contact: To Hung Sze
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-04 13:19 UTC by To Hung Sze
Modified: 2021-10-18 17:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:44:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5144 0 None None None 2021-08-10 16:57:34 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:44:43 UTC

Description To Hung Sze 2021-08-04 13:19:33 UTC
Version: openshift-install-linux-4.9.0-0.nightly-2021-08-02-044755

Platform: Azure

What happened?
./openshift-install explain installconfig.platform.azure
KIND:     InstallConfig
VERSION:  v1

RESOURCE: <object>
  Azure is the configuration used when installing on Azure.
.....
    resourceGroupName <string>
      ResourceGroupName is the name of an already existing resource group where the cluster should be installed. This resource group should only be used for this specific cluster and the cluster components will assume assume ownership of all resources in the resource group. Destroying the cluster using installer will delete this resource group. This resource group must be empty with no other resources when trying to use it for creating a cluster. If empty, a new resource group will created for the cluster.

Note that "assume" appears twice consecutively.

Comment 1 Etienne Simard 2021-08-04 13:37:28 UTC
Set to low priority and low severity. However, I should be able to pick it up in between prioritized cards.

Comment 3 To Hung Sze 2021-08-13 12:29:29 UTC
Fixed with openshift-install-linux-4.9.0-0.nightly-2021-08-13-053517

./openshift-install explain installconfig.platform.azure
    resourceGroupName <string>
      ResourceGroupName is the name of an already existing resource group where the cluster should be installed. This resource group should only be used for this specific cluster and the cluster components will assume ownership of all resources in the resource group. Destroying the cluster using installer will delete this resource group. This resource group must be empty with no other resources when trying to use it for creating a cluster. If empty, a new resource group will created for the cluster.

Comment 6 errata-xmlrpc 2021-10-18 17:44:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.